From: Robin Gustafsson <robin@rgson.se>
Date: Sun, 31 Jul 2022 17:26:51 +0200
Subject: Fix PHP 8.2 deprecations

---
 lib/classes/Swift/Attachment.php                           | 5 ++---
 lib/classes/Swift/EmbeddedFile.php                         | 5 ++---
 lib/classes/Swift/Message.php                              | 5 ++---
 lib/classes/Swift/MimePart.php                             | 5 ++---
 tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php   | 1 +
 tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php | 1 +
 tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php     | 1 +
 7 files changed, 11 insertions(+), 12 deletions(-)

diff --git a/lib/classes/Swift/Attachment.php b/lib/classes/Swift/Attachment.php
index 7a1420f..d535edb 100644
--- a/lib/classes/Swift/Attachment.php
+++ b/lib/classes/Swift/Attachment.php
@@ -26,9 +26,8 @@ class Swift_Attachment extends Swift_Mime_Attachment
      */
     public function __construct($data = null, $filename = null, $contentType = null)
     {
-        \call_user_func_array(
-            [$this, 'Swift_Mime_Attachment::__construct'],
-            Swift_DependencyContainer::getInstance()
+        parent::__construct(
+            ...Swift_DependencyContainer::getInstance()
                 ->createDependenciesFor('mime.attachment')
             );
 
diff --git a/lib/classes/Swift/EmbeddedFile.php b/lib/classes/Swift/EmbeddedFile.php
index 30fc68a..f50fb67 100644
--- a/lib/classes/Swift/EmbeddedFile.php
+++ b/lib/classes/Swift/EmbeddedFile.php
@@ -26,9 +26,8 @@ class Swift_EmbeddedFile extends Swift_Mime_EmbeddedFile
      */
     public function __construct($data = null, $filename = null, $contentType = null)
     {
-        \call_user_func_array(
-            [$this, 'Swift_Mime_EmbeddedFile::__construct'],
-            Swift_DependencyContainer::getInstance()
+        parent::__construct(
+            ...Swift_DependencyContainer::getInstance()
                 ->createDependenciesFor('mime.embeddedfile')
             );
 
diff --git a/lib/classes/Swift/Message.php b/lib/classes/Swift/Message.php
index 5c5834e..02e704b 100644
--- a/lib/classes/Swift/Message.php
+++ b/lib/classes/Swift/Message.php
@@ -42,9 +42,8 @@ class Swift_Message extends Swift_Mime_SimpleMessage
      */
     public function __construct($subject = null, $body = null, $contentType = null, $charset = null)
     {
-        \call_user_func_array(
-            [$this, 'Swift_Mime_SimpleMessage::__construct'],
-            Swift_DependencyContainer::getInstance()
+        parent::__construct(
+            ...Swift_DependencyContainer::getInstance()
                 ->createDependenciesFor('mime.message')
             );
 
diff --git a/lib/classes/Swift/MimePart.php b/lib/classes/Swift/MimePart.php
index ea97619..8ce06dd 100644
--- a/lib/classes/Swift/MimePart.php
+++ b/lib/classes/Swift/MimePart.php
@@ -26,9 +26,8 @@ class Swift_MimePart extends Swift_Mime_MimePart
      */
     public function __construct($body = null, $contentType = null, $charset = null)
     {
-        \call_user_func_array(
-            [$this, 'Swift_Mime_MimePart::__construct'],
-            Swift_DependencyContainer::getInstance()
+        parent::__construct(
+            ...Swift_DependencyContainer::getInstance()
                 ->createDependenciesFor('mime.part')
             );
 
diff --git a/tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php b/tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php
index 5ec59db..6ae0e46 100644
--- a/tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php
+++ b/tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php
@@ -8,6 +8,7 @@ class Swift_Mime_AttachmentAcceptanceTest extends \PHPUnit\Framework\TestCase
     private $cache;
     private $headers;
     private $emailValidator;
+    private $idGenerator;
 
     protected function setUp(): void
     {
diff --git a/tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php b/tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php
index b39c97d..1e36f3a 100644
--- a/tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php
+++ b/tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php
@@ -8,6 +8,7 @@ class Swift_Mime_EmbeddedFileAcceptanceTest extends \PHPUnit\Framework\TestCase
     private $cache;
     private $headers;
     private $emailValidator;
+    private $idGenerator;
 
     protected function setUp(): void
     {
diff --git a/tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php b/tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php
index 47d253e..2e595a7 100644
--- a/tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php
+++ b/tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php
@@ -8,6 +8,7 @@ class Swift_Mime_MimePartAcceptanceTest extends \PHPUnit\Framework\TestCase
     private $cache;
     private $headers;
     private $emailValidator;
+    private $idGenerator;
 
     protected function setUp(): void
     {
